function tDFiltNyquist (LogFile)

% $Id: tDFiltNyquist.m,v 1.2 2009/07/07 14:41:17 pkabal Exp $

addpath('..');
addpath('../../DFiltFIR');

if (nargin == 0)
  LogFile = [];
end
StopDiaryFile = StartDiaryFile (LogFile, 'tDFiltNyquist.ref');

fprintf('==================================\n');
fprintf('NYQ01\n');
clear B
SFreq = 16000;
M = 2;
NCof = 15;
B.Freq   = [4500 8000];
B.Weight = [1, 10];
h = DFiltNyquist(M, NCof, B, SFreq);
PrMatrix(h');
freqz(h, 1);

fprintf('==================================\n');
fprintf('NYQ02\n');
clear B
SFreq = 8000;
M = 2;
NCof = 17;
B.Freq   = [2250 4000];
B.Weight = [1, 10];
h = DFiltNyquist(M, NCof, B, SFreq);
PrMatrix(h');

% ----------
StopDiaryFile();

return